GET /v3/reference/tickers/{ticker}

Reference Ticker Overview

Ticker overview (multi-asset; used for forex tickers too).

Endpoint Details

HTTP Method GET
Path /v3/reference/tickers/{ticker}
Version v3
Minimum Plan free

Path Parameters

Parameter Required Description Example
ticker Required The stock ticker symbol (e.g., AAPL, MSFT) AAPL

Query Parameters

Parameter Type Required Description
api_key string Required Your API key for authentication
asset_class string Optional Filter by asset class (stocks, options, forex, crypto)
locale string Optional Filter by locale/market (default: us)
limit integer Optional Maximum number of results
cursor string Optional Pagination cursor for next page

Example Request

curl "https://mail.tradeiqai.com/api/v3/reference/tickers/AAPL?api_key=YOUR_API_KEY"

Note: Replace YOUR_API_KEY with your actual API key.

Response Attributes

Attribute Type Description
okbooleanIndicates if the request was successful (e.g., 1)
dataobjectResponse data object
data.statusstringResponse status (typically "OK") (e.g., OK)
data.resultsobjectArray or object containing the endpoint-specific data
data.results.tickerstringString value (e.g., AAPL)
data.results.namestringString value (e.g., Apple Inc.)
data.results.marketstringString value (e.g., stocks)
data.results.localestringString value (e.g., us)
data.results.primary_exchangestringString value (e.g., XNAS)
data.results.typestringString value (e.g., CS)
data.results.activebooleanBoolean value (e.g., 1)
data.results.currency_namestringString value (e.g., usd)
data.results.cikstringString value (e.g., 0000320193)
data.results.composite_figistringString value (e.g., BBG000B9XRY4)
data.results.share_class_figistringString value (e.g., BBG001S5N8V8)
data.results.market_capintegerInteger (e.g., 4411090905000)
data.results.phone_numberstringString value (e.g., (408) 996-1010)
data.results.addressobject
data.results.address.propertiesunknown
data.results.descriptionstringString value (e.g., Apple is among the largest companies in the world,...)
data.results.sic_codestringString value (e.g., 3571)
data.results.sic_descriptionstringString value (e.g., ELECTRONIC COMPUTERS)
data.results.ticker_rootstringString value (e.g., AAPL)
data.results.homepage_urlstringString value (e.g., https://www.apple.com)
data.results.total_employeesintegerInteger (e.g., 166000)
data.results.list_datestringString value (e.g., 1980-12-12)
data.results.brandingobject
data.results.branding.propertiesunknown
data.results.share_class_shares_outstandingintegerInteger (e.g., 14594180000)
data.results.weighted_shares_outstandingintegerInteger (e.g., 14594180000)
data.results.round_lotintegerInteger (e.g., 40)

Example Response

{
    "ok": true,
    "data": {
        "status": "OK",
        "results": {
            "ticker": "AAPL",
            "name": "Apple Inc.",
            "market": "stocks",
            "locale": "us",
            "primary_exchange": "XNAS",
            "type": "CS",
            "active": true,
            "currency_name": "usd",
            "cik": "0000320193",
            "composite_figi": "BBG000B9XRY4",
            "share_class_figi": "BBG001S5N8V8",
            "market_cap": 4411090905000,
            "phone_number": "(408) 996-1010",
            "address": {
                "address1": "ONE APPLE PARK WAY",
                "city": "CUPERTINO",
                "state": "CA",
                "postal_code": "95014"
            },
            "description": "Apple is among the largest companies in the world, with a broad portfolio of hardware and software products targeted at consumers and businesses. Apple's iPhone accounts for the majority of the firm's sales, and Apple's other products, such as the Mac, iPad, and Watch, are designed around the iPhone as the focal point of an expansive software ecosystem. Apple has progressively worked to add new applications, such as streaming video, subscription bundles, and augmented reality. The firm designs its own software and semiconductors and works with subcontractors such as Foxconn and TSMC to build its products and chips. Slightly less than half of Apple's sales come directly through its flagship stores, with the majority coming indirectly through partnerships and distribution.",
            "sic_code": "3571",
            "sic_description": "ELECTRONIC COMPUTERS",
            "ticker_root": "AAPL",
            "homepage_url": "https://www.apple.com",
            "total_employees": 166000,
            "list_date": "1980-12-12",
            "branding": {
                "logo_url": "https://api.tradeiqai.com/v1/reference/company-branding/logo/cbf49259282b600340705c0a07293c9a.svg",
                "icon_url": "https://api.tradeiqai.com/v1/reference/company-branding/icon/d307d2408cf2e8227bdc465230be5994.webp"
            },
            "share_class_shares_outstanding": 14594180000,
            "weighted_shares_outstanding": 14594180000,
            "round_lot": 40
        }
    }
}